Subject: Re: [PATCH bpf-next v2 0/8] Simplify xdp_do_redirect_map()/xdp_do_flush_map() and XDP maps

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 20 Dec 2019 10:26:15 +0100

On Fri, 20 Dec 2019 08:46:51 +0100
Jesper Dangaard Brouer <[email-masked]> wrote:

> On Thu, 19 Dec 2019 21:21:39 -0800
> Alexei Starovoitov <[email-masked]> wrote:
> 
> > > v1->v2 [1]:
> > >   * Removed 'unused-variable' compiler warning (Jakub)
> > >
> > > [1] https://lore.kernel.org/bpf/[email-masked]/    
> > 
> > My understanding that outstanding discussions are not objecting to the
> > core ideas of the patch set, hence applied. Thanks  
> 
> I had hoped to have time to review it in details today.  But as I don't
> have any objecting to the core ideas, then I don't mind it getting
> applied. We can just fix things in followups.

I have now went over the entire patchset, and everything look perfect,
I will go as far as saying it is brilliant.  We previously had the
issue, that using different redirect maps in a BPF-prog would cause the
bulking effect to be reduced, as map_to_flush cause previous map to get
flushed. This is now solved :-)

Thanks you Bjørn!

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer